<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

/**
 * Class Francis_Core_Controller
 */
class Francis_Core_Controller {

    /** @var  Francis_Core_Request $request */
    protected $request;

    /** @var  Francis_Response_Abstract $response */
    protected $response;

    public function __construct( Francis_Core_Request $request ) {
        $this->request = $request;
    }

    /**
     * Process given request
     *
     * @return Francis_Response_Abstract
     */
    public function processRequest() {
        $this->authorizeRequest();
        $this->response = $this->performRequest();
    }

    public function authorizeRequest() {

    }

    public function performRequest() {

    }
}